"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueConsumerInitializationFailureError = void 0;
class QueueConsumerInitializationFailureError extends Error {
    constructor(queueName, originalError) {
        super(`Failed to initialize consumer for queue ${queueName}`);
        this.originalError = originalError;
    }
}
exports.QueueConsumerInitializationFailureError = QueueConsumerInitializationFailureError;
