import { Dispatcher, HiveConfiguration } from "../types";
import { Channel, Replies } from "amqplib";
export declare const createDispatcher: <TPayloadsByQueueName extends Record<string, any>>({ channel, configuration, exchanges, }: {
    channel: Channel;
    configuration: HiveConfiguration<TPayloadsByQueueName>;
    exchanges: Record<"direct" | "delayed", Replies.AssertExchange>;
}) => Dispatcher<TPayloadsByQueueName>;
