import { Channel } from "amqplib";
import { Worker, WorkerQueueConfiguration } from "../types";
declare type WorkerConfiguration<TPayloadsByQueueName extends Record<string, any>, TContext> = {
    channel: Channel;
    queueConfigurations: WorkerQueueConfiguration<TPayloadsByQueueName, TContext>;
    context: TContext;
};
export declare const createWorker: <TPayloadsByQueueName extends Record<string, any>, TContext>({ channel, queueConfigurations, context, }: WorkerConfiguration<TPayloadsByQueueName, TContext>) => Promise<Worker<TPayloadsByQueueName>>;
export {};
